
var cats = [
    { title: 'Funny statuses',image: 'img/sm1.png', id: 1 },
    { title: 'Love statuses',image: 'img/sm2.png', id: 2 },
    { title: 'New Year statuses',image: 'img/sm3.png', id: 3 },
    { title: 'Sad statuses',image: 'img/sm4.png', id: 4 },
    { title: 'Nice statuses',image: 'img/sm5.png', id: 5 },
    { title: 'Man statuses',image: 'img/sm6.png', id: 6 },
	{ title: 'Woman statuses',image: 'img/sm7.png', id: 7 },
	{ title: 'Clever statuses',image: 'img/sm8.png', id: 8 },
	{ title: 'Life statuses',image: 'img/sm9.png', id: 9 },
	{ title: 'Jokes statuses',image: 'img/sm10.png', id: 10 },
	{ title: 'Friend statuses',image: 'img/sm11.png', id: 11 }
  ];
  

angular.module('starter.controllers', ['ngAnimate', 'parse-angular','ui.router','ngCordova'])
    .controller('CatListCtrl', function($scope,$stateParams,$cordovaSocialSharing) {
  $scope.cats = cats;
    $scope.shareAnywhere = function(statusMsg){
         $cordovaSocialSharing.share(statusMsg, '', '', ''); // Share via native share sheet
  }
})

//.controller('statusByCatController',function($scope,$http) 
.controller('statusByCatController',function($scope,$stateParams,$ionicLoading,$cordovaSocialSharing,$cordovaClipboard) {
  $scope.statuses = [];
  $scope.cat = cats[$stateParams.catId-1].title;
  $scope.catId = cats[$stateParams.catId-1].id;
  $scope.nextPage = parseInt($stateParams.pageNo)+1;
  
  //for loading screen
  $scope.show = function() {
    $ionicLoading.show({
      template: '<ion-spinner icon="lines"></ion-spinner>'
    });
  };
  $scope.hide = function(){
    $ionicLoading.hide();
  };
 
  
  $scope.show(); //show loading screen
  //console.log(cats);
  Parse.initialize("OgD4S97dk5EAlcfjYSYKmaqEmg52rq8S1wI4HAaL", "GKZdPVatAJ99thBtNInVkS6q9oKLNgLLW0Xd4vZ1");
  var statusObj = Parse.Object.extend("statuses_en");
  var query = new Parse.Query(statusObj);
  
  //logic for pagination
  var $skipFirst = (parseInt($stateParams.pageNo)-1) *30;
  //console.log($startCode);
  
  query.equalTo("category", parseInt($stateParams.catId));
  query.skip($skipFirst);
  ////query.descending("createdAt");
  //var limitQry = new Parse.Query("statuses_en");
  //limitQry.greaterThan("code", 1);
  //var catQry = new Parse.Query("statuses_en");
  //catQry.equalTo("category", $stateParams.id)
  //var query = Parse.Query.or(catQry,limitQry);
  query.limit(30);
  var favStatuses = JSON.parse(window.localStorage['favStatuses'] || '{}');
  query.find({
		success: function(results) {
			// Do something with the returned Parse.Object values
			for (var i = 0; i < results.length; i++) {
				var image = "img/ico0.png";
				var object = results[i];
				 
				for (var j = 0; j < favStatuses.length; j++) { 
					var favObject = favStatuses[j];
					if(favObject.code == object.get('code'))
						image = "img/ico1.png";
				}
				
				$scope.statuses.push({ statustext: object.get('statustext').replace(/"/g,'\''), code: object.get('code'), img:image });
			}
			$scope.hide(); //hide loading screen
			//console.log($scope.statuses);
		},
	error: function(error) {
	   //report error
		//var codeString = '' + error.code;
		Parse.Analytics.track('error', { code: codeString });
	}
	
	
  
});


	
  //$http.get('https://api.parse.com/1/classes/statuses_en?where%3A%7B%22code%22%3A%7B%24lt%20%3A10%7D%7D',{
  //              headers:{
  //                  'X-Parse-Application-Id': 'OgD4S97dk5EAlcfjYSYKmaqEmg52rq8S1wI4HAaL',
  //                  'X-Parse-REST-API-Key':'zHu6ehVO0peEblTPheYRjNHmlHDSmGVfj06jx1nT',
  //              }
  //          }).success(function(cards){
  //console.log(cards);
 // $scope.statuses = cards.results;
//}).error(function(error) {
//  console.log(error);
//});
			
//console.log($tempData.results);
	
  $scope.shareAnywhere = function(statusMsg){
         $cordovaSocialSharing.share(statusMsg, '', '', ''); // Share via native share sheet
  }
  
  
  $scope.copy = function(statusObj){
	  //console.log();
	  $scope.copied = statusObj.item.code;
	  $cordovaClipboard.copy(statusObj.item.statustext).then(function() {
    // success
	console.log("okay")
	}, function() {
    // error
	console.log("error")
	});
  }

})


.controller('statusByFavController',function($scope,$stateParams,$cordovaSocialSharing) {
	$scope.statuses = [];
  var favStatuses = JSON.parse(window.localStorage['favStatuses'] || '{}');
  for (var i = 0; i < favStatuses.length; i++) { 
				var object = favStatuses[i];
				//console.log(object);
				$scope.statuses.push({ statustext: object.statustext, code: object.code });
			}
  //console.log($scope.statuses);
  //var favStatuses = [{code:1,statustext:"hello"}];
  //window.localStorage['favStatuses'] = JSON.stringify(favStatuses);
  //window.localStorage['status'] = 'Max';
  
    $scope.shareAnywhere = function(statusMsg){
         $cordovaSocialSharing.share(statusMsg, '', '', ''); // Share via native share sheet
  }
  
  
  $scope.copy = function(statusObj){
	  //console.log();
	  $scope.copied = statusObj.item.code;
	  $cordovaClipboard.copy(statusObj.item.statustext).then(function() {
    // success
	console.log("okay")
	}, function() {
    // error
	console.log("error")
	});
  }
  
})

.controller('settingsController',function($scope,$stateParams) {
	$scope.statuses = [];
	var favStatuses = JSON.parse(window.localStorage['favStatuses'] || '{}');
	for (var i = 0; i < favStatuses.length; i++) { 
				var object = favStatuses[i];
				//console.log(object);
				$scope.statuses.push({ statustext: object.statustext, code: object.code });
			}
})

.controller('submitStatusController',function($scope,$stateParams) {
$scope.cats = cats;
$scope.submit = function(){
	console.log($scope.statusToSubmit +"-----"+ $scope.selectedCat);
}
})

function loadAllMsgs(){
	
	
}